import json

class TaskManager:

    def __init__(self, name, new = False):
        self.name = name
        self.tasks = []
        if not new:
            self.load_tasks()

    def add_task(self, task, urgency=False):
        self.tasks.append((task, urgency))
        self.tasks.sort(key=lambda x : x[1])

    def remove_task(self, task):
        done = False
        for i, t in enumerate(self.tasks):
            if t[0] == task:
                done = True
                self.tasks.pop(i)
                break
        if not done:
            try:
                self.tasks.pop(int(task))
            except (IndexError, ValueError):
                pass

    def save_tasks(self):
        with open(f'{self.name}.json', 'w') as f:
            json.dump(self.tasks, f)

    def load_tasks(self):
        with open(f'{self.name}.json', 'r') as f:
            self.tasks = json.load(f)